/// <reference types="node" />
import core = require('@oclif/core');
import HTTP = require('http-call');
import netrc = require('netrc-parser');
import apiClient = require('./api-client');
import file = require('./file');
import flags = require('./flags');
import git = require('./git');
import mutex = require('./mutex');
export declare const deps: {
    readonly cli: {
        config: core.CliUx.Config;
        warn: typeof core.Errors.warn;
        error: typeof core.Errors.error;
        exit: typeof core.Errors.exit;
        readonly prompt: typeof import("@oclif/core/lib/cli-ux/prompt").prompt;
        readonly anykey: typeof import("@oclif/core/lib/cli-ux/prompt").anykey;
        readonly confirm: typeof import("@oclif/core/lib/cli-ux/prompt").confirm;
        readonly action: core.CliUx.ActionBase;
        readonly prideAction: core.CliUx.ActionBase;
        styledObject(obj: any, keys?: string[] | undefined): void;
        readonly styledHeader: typeof import("@oclif/core/lib/cli-ux/styled/header").default;
        readonly styledJSON: typeof import("@oclif/core/lib/cli-ux/styled/json").default;
        readonly table: typeof core.CliUx.Table.table;
        readonly tree: typeof import("@oclif/core/lib/cli-ux/styled/tree").default;
        readonly open: typeof import("@oclif/core/lib/cli-ux/open").default;
        readonly wait: (ms?: number | undefined) => Promise<unknown>;
        readonly progress: typeof import("@oclif/core/lib/cli-ux/styled/progress").default;
        done(): Promise<void>;
        trace(format: string, ...args: string[]): void;
        debug(format: string, ...args: string[]): void;
        info(format: string, ...args: string[]): void;
        log(format?: string | undefined, ...args: string[]): void;
        url(text: string, uri: string, params?: {} | undefined): void;
        annotation(text: string, annotation: string): void;
        flush(ms?: number | undefined): Promise<void>;
    };
    readonly HTTP: typeof HTTP;
    readonly netrc: netrc.Netrc;
    readonly Mutex: typeof mutex.Mutex;
    readonly yubikey: {
        disable: () => void;
        enable: () => void;
        platform: NodeJS.Platform;
    };
    readonly APIClient: typeof apiClient.APIClient;
    readonly file: typeof file;
    readonly flags: typeof flags;
    readonly Git: typeof git.Git;
};
export default deps;
